# List Profile Webhook Subscriptions

List all webhook subscriptions for a profile.

Endpoint: GET /profiles/{profileId}/subscriptions
Security: UserToken

## Path parameters:

  - `profileId` (integer, required)
    ID of the profile.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200 fields (application/json):

  - `id` (string)
    UUID that uniquely identifies the subscription.
    Example: 72195556-e5cb-495e-a010-b37a4f2a3043

  - `name` (string)
    A custom name for your webhook to ease with identification.
    Example: Webhook Subscription #1

  - `trigger_on` (string)
    The event type this subscription is listening for. [List of available events](/api-reference/webhook-event).
    Example: transfers#state-change

  - `delivery` (object)

  - `delivery.version` (string)
    The event representation semantic version.
    Example: 4.0.0

  - `delivery.url` (string)
    The URL where your server will be listening for events.
    Example: https://your.webhook.url/12345

  - `scope` (object)

  - `scope.domain` (string)
    Scope of this subscription (e.g. "application" or "profile").
    Example: application

  - `scope.id` (string)
    ID associated with the scope (client key or profile ID).
    Example: <your client key>

  - `created_by` (object)

  - `created_by.type` (string)
    Creator type (e.g. "application" or "user").
    Example: application

  - `created_by.id` (string)
    ID of the creator.
    Example: <your client ID>

  - `created_at` (string)
    Timestamp of when the subscription was created.
    Example: 2019-10-10T13:55:57Z

